"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadModule = exports.matchUrl = exports.randomGuid = void 0;
const crypto_1 = require("crypto");
const node_match_path_1 = require("node-match-path");
const randomGuid = () => {
    return (0, crypto_1.randomUUID)();
};
exports.randomGuid = randomGuid;
const matchUrl = (path, url) => {
    // /attempt/{attemptUuid}/result/{test} => /attempt/:attemptUuid/result/:test
    const modifiedPath = path.replaceAll(/{(.+?)}/g, (m, g) => `:${g}`);
    const matchResult = (0, node_match_path_1.match)(modifiedPath, url);
    return {
        didMatch: matchResult.matches,
        params: matchResult.params,
    };
};
exports.matchUrl = matchUrl;
const loadModule = (src) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        return require(src);
    }
    catch (_a) { }
    return null;
});
exports.loadModule = loadModule;
